/* AMX Mod script. 
* Thothie's Server Heart Beat
*
* Writes to a file once a minute
* This file can be used to verify the server is alive by external program.
*
* Cvars[defaults]
* amx_heartbeat[0] - display message on server console on each heartbeat when set to 1
*
* For use with Thothie's HLDS restarted
* 
* No Warranties. Distribute freely.
*/ 


#include <amxmod>  
#include <file.inc>

public plugin_init() {  

	register_plugin( "ServerHeartbeat","1.1","Thothie" ); 
	register_cvar("amx_heartbeat","0");
   	heartbeat();

}  


public heartbeat() {

  new feedback = get_cvar_num("amx_show_activity")
  new foundIt[1];
  
  foundIt[0]=delete_file ( "heartbeat.txt" );

  if ( feedback == 1 ) {
  	if ( foundIt[0] == 1 ) { 
		server_cmd("echo Found Stethoscope, heartbeating."); 
	} else {
		server_cmd("echo Heartbeat...");
	}
  } 
  set_task( 15.0, "heartbeat" );

}

public plugin_end() {

  heartbeat();

}